CONTENTS OF THIS FILE
---------------------

* Introduction
* Installation
* Maintainers

# INTRODUCTION

One-Time Logins links are often invalidated by Outlook, Bing and Google Mail
(possibly other services). The reason for this is that the link is crawled in
advance by security tools before it is delivered via email.

The result is the following message, which is certainly familiar to some:
`You have tried to use a one-time login link that has either been used or is
no longer valid. Please request a new one using the form below.`

This module prevents the crawling of the One-Time Login link, no separate
configuration for the module is necessary. All add-on modules that access
the One-Time Login logic of Drupal are supported.

# INSTALLATION

Install the `Shy One-Time` module as you would normally install a contributed
Drupal module.

```
drush en shy_one_time -y
```

* Visit for [further information](https://www.drupal.org/node/1897420).

MAINTAINERS
-----------

Supporting organization:

* TRENDKRAFT 
  * https://www.drupal.org/trendkraft
