<?php

namespace Drupal\shy_one_time\Controller;

use Drupal\passwordless\Controller\PasswordlessUserController;
use Jaybizzle\CrawlerDetect\CrawlerDetect;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Exception\AccessDeniedHttpException;

class ShyPasswordlessUserController extends PasswordlessUserController {

  public function resetPass(Request $request, $uid, $timestamp, $hash) {
    if ((new CrawlerDetect())->isCrawler()) {
      throw new AccessDeniedHttpException();
    }
    return parent::resetPass($request, $uid, $timestamp, $hash);
  }

}
